@echo Build all weAutSys (in situ) and its docu (put into D:\temp\html\)
@REM this is the Windows (batch) variant   docCop.bat
@REM on    Linux use the (bash)  variant   docCop.sh
@echo.

make clean
@echo. 

make all
@echo.

make docu
xcopy /s /Y .\doxydocu\html\* D:\temp\html\


@if not exist .\doxydocu\latex\*.tex goto :end
@if  %1X==X  goto :end
@if /I %1==makePDF goto :makePDF
@if /I %1==-makePDF goto :makePDF
@if /I %1==-PDF  goto :makePDF
@echo bad parameter %1
@goto :end

@echo.
@echo ----------------------------------------------------------------


:makePDF
@echo --   make PDF using Windows mikTex  -----------------------------

cd doxydocu\latex
del /s *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf
pdflatex refman.tex

java FuR ./refman.tex "{tocdepth}{" "}" "{tocdepth}{1}" keepBraces=false

makeindex refman.idx
pdflatex refman.tex
copy /Y .\refman.pdf D:\temp\html\weAutSys_SWdocu.pdf
D:\temp\html\weAutSys_SWdocu.pdf
cd ..\..

:end

@echo.
@type dox_warnings.are
@echo ----------------------------------------------------------------

D:\temp\html\index.html
@echo. 